module Config (templateDir, dataDir, scriptDir) where

import System.Directory
import Paths_hifi

createIfMissingPath :: FilePath -> IO FilePath
createIfMissingPath path = createDirectoryIfMissing True path >> return path

templateDir :: IO FilePath
templateDir = getDataFileName "templates"

dataDir :: IO FilePath
dataDir = getXdgDirectory XdgData "hifi/data" >>= createIfMissingPath

scriptDir :: IO FilePath
scriptDir = getXdgDirectory XdgData "hifi/scripts" >>= createIfMissingPath
